## findpython 0.2.1

=== debian/changelog ===
findpython (0.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Use DEB_VERSION_UPSTREAM as package SCM_VERSION.

 -- Boyuan Yang <byang@debian.org>  Wed, 17 Aug 2022 15:05:01 -0400

findpython (0.2.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Jul 2022 15:15:24 -0400

findpython (0.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1014230)

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Jul 2022 10:03:36 -0400

## findpython 0.7.0

=== Makefile ===
checkfiles = src/ tests/

help:
	@echo  "FindPython development makefile"
	@echo
	@echo  "Usage: make <target>"
	@echo  "Targets:"
	@echo  "    up      Updates dev/test dependencies"
	@echo  "    deps    Ensure dev/test dependencies are installed"
	@echo  "    check   Checks that build is sane"
	@echo  "    test    Runs all tests"
	@echo  "    style   Auto-formats the code"
	@echo  "    lint    Auto-formats the code and check type hints"

up:
	pdm update --verbose

deps:
ifeq ($(wildcard .venv),)
	pdm install --verbose
else
	pdm install
endif

_check:
	pdm run ruff format --check $(checkfiles)
	pdm run ruff check $(checkfiles)
	pdm run mypy $(checkfiles)
check: deps _build _check

_style:
	pdm run ruff format $(checkfiles)
	pdm run ruff check --fix $(checkfiles)
style: deps _style

_lint:
	pdm run ruff format $(checkfiles)
	pdm run ruff check --fix $(checkfiles)
	pdm run mypy $(checkfiles)
lint: deps _build _lint

_test:
	pdm run pytest -s tests
test: deps _test

_build:
	rm -fR dist/
	pdm build
build: deps _build

# Usage::
#   make venv version=3.12
venv:
	pdm venv create $(version)
	pdm run pip install --upgrade pip

## findpython 0.2.4

=== debian/changelog ===
findpython (0.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Feb 2023 21:08:05 -0500

findpython (0.2.3-1) unstable; urgency=high

  * New upstream release. (Closes: #1027605)

 -- Boyuan Yang <byang@debian.org>  Wed, 25 Jan 2023 12:57:33 -0500

findpython (0.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Nov 2022 13:42:58 -0400

=== debian/control ===
Source: findpython
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-packaging,
 python3-pdm-pep517,
 python3-pytest <!nocheck>,
Standards-Version: 4.6.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/frostming/findpython
Vcs-Git: https://salsa.debian.org/python-team/packages/findpython.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/findpython

Package: python3-findpython
Architecture: all
Depends:
 python3-packaging,
 ${misc:Depends},
 ${python3:Depends},
Description: utility to find python versions on your system
 This is a utility to find python versions on your system. It is a
 rewrite of pythonfinder project. It simplifies the whole code
 structure while preserving most of the original features.
 .
 This package is a dependency to pdm tool.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PDM_PEP517_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with python3 --buildsystem=pybuild

## findpython 0.2.5

=== debian/changelog ===
findpython (0.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jun 2023 10:21:02 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-packaging,
  python3-pdm-pep517,
  python3-pytest <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/frostming/findpython
 Vcs-Git: https://salsa.debian.org/python-team/packages/findpython.git

## findpython 0.3.1

=== debian/changelog ===
findpython (0.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Sep 2023 16:38:34 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  pybuild-plugin-pyproject,
  python3,
  python3-packaging,
- python3-pdm-pep517,
+ python3-pdm-backend,
  python3-pytest <!nocheck>,
 Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-python

## findpython 0.6.1

=== debian/changelog ===
findpython (0.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 May 2024 20:16:52 -0400

findpython (0.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Mar 2024 18:44:20 -0400

## findpython 0.6.2

=== debian/changelog ===
findpython (0.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 31 Oct 2024 20:36:30 -0400

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  python3-packaging,
  python3-pdm-backend,
  python3-pytest <!nocheck>,
-Standards-Version: 4.6.2
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.7.0
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/frostming/findpython
 Vcs-Git: https://salsa.debian.org/python-team/packages/findpython.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/findpython

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PDM_BUILD_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/frostming/findpython/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## findpython 0.7.0

=== debian/changelog ===
findpython (0.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Aug 2025 20:20:22 -0400

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
  python3,
  python3-packaging,
  python3-pdm-backend,
+ python3-platformdirs (>= 4.3.6),
  python3-pytest <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/frostming/findpython
 Vcs-Git: https://salsa.debian.org/python-team/packages/findpython.git

## findpython 0.7.1

=== debian/changelog ===
findpython (0.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 27 Nov 2025 19:44:16 -0500

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,10 @@
 Homepage: https://github.com/frostming/findpython
 Vcs-Git: https://salsa.debian.org/python-team/packages/findpython.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/findpython
+Description: utility to find python versions on your system
+ This is a utility to find python versions on your system. It is a
+ rewrite of pythonfinder project. It simplifies the whole code
+ structure while preserving most of the original features.
 
 Package: python3-findpython
 Architecture: all
@@ -25,9 +29,7 @@
  python3-packaging,
  ${misc:Depends},
  ${python3:Depends},
-Description: utility to find python versions on your system
- This is a utility to find python versions on your system. It is a
- rewrite of pythonfinder project. It simplifies the whole code
- structure while preserving most of the original features.
+Description: ${source:Synopsis}
+ ${source:Extended-Description}
  .
  This package is a dependency to pdm tool.

## findpython 1.0.1

=== DESCRIPTION ===
Package: findpython
Type: Package
Title: Python tools to find an acceptable python binary
Version: 1.0.1
Author: Trevor L Davis and Paul Gilbert.
Maintainer: Trevor L Davis <trevor.l.davis@stanford.edu>
URL: https://github.com/trevorld/findpython
BugReports: https://github.com/trevorld/findpython/issues
Description: Package designed to find an acceptable python binary.
Suggests: testthat
License: MIT + file LICENSE
Collate: 'find_python_cmd.r'
Packaged: 2014-04-03 17:33:07 UTC; trevorld
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-04-03 20:20:34

## findpython 1.0.2

=== DESCRIPTION ===
Package: findpython
Type: Package
Title: Python Tools to Find an Acceptable Python Binary
Version: 1.0.2
Author: Trevor L Davis and Paul Gilbert.
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
URL: https://github.com/trevorld/findpython
BugReports: https://github.com/trevorld/findpython/issues
Description: Package designed to find an acceptable python binary.
Suggests: testthat
License: MIT + file LICENSE
Collate: 'find_python_cmd.r'
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2017-03-14 21:28:13 UTC; trevorld
Repository: CRAN
Date/Publication: 2017-03-15 05:25:12

## findpython 1.0.3

=== DESCRIPTION ===
Package: findpython
Type: Package
Title: Functions to Find an Acceptable Python Binary
Version: 1.0.3
Author: Trevor L Davis and Paul Gilbert.
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
URL: https://github.com/trevorld/findpython
BugReports: https://github.com/trevorld/findpython/issues
Description: Package designed to find an acceptable python binary.
Suggests: reticulate, testthat
License: MIT + file LICENSE
Collate: 'find_python_cmd.r'
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-12-01 06:16:17 UTC; trevorld
Repository: CRAN
Date/Publication: 2017-12-01 12:03:05 UTC

## findpython 1.0.4

=== DESCRIPTION ===
Package: findpython
Type: Package
Title: Functions to Find an Acceptable Python Binary
Version: 1.0.4
Author: Trevor L Davis and Paul Gilbert.
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
URL: https://github.com/trevorld/findpython
BugReports: https://github.com/trevorld/findpython/issues
Description: Package designed to find an acceptable python binary.
Suggests: reticulate, testthat
License: MIT + file LICENSE
Collate: 'find_python_cmd.r'
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2018-11-29 20:26:17 UTC; trevorld
Repository: CRAN
Date/Publication: 2018-11-29 21:10:03 UTC

## findpython 1.0.5

=== DESCRIPTION ===
Package: findpython
Type: Package
Title: Functions to Find an Acceptable Python Binary
Version: 1.0.5
Authors@R: c(person("Trevor L", "Davis", role=c("aut", "cre"), email="trevor.l.davis@gmail.com"),
        person("Paul", "Gilbert", role="aut"))
URL: https://github.com/trevorld/findpython
BugReports: https://github.com/trevorld/findpython/issues
Description: Package designed to find an acceptable python binary.
Suggests: covr, reticulate, testthat
License: MIT + file LICENSE
Collate: 'find_python_cmd.r'
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-03-08 20:15:49 UTC; trevorld
Author: Trevor L Davis [aut, cre],
  Paul Gilbert [aut]
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
Repository: CRAN
Date/Publication: 2019-03-08 21:02:48 UTC

## findpython 1.0.8

=== DESCRIPTION ===
Package: findpython
Type: Package
Title: Functions to Find an Acceptable Python Binary
Version: 1.0.8
Authors@R: c(person("Trevor L", "Davis", role=c("aut", "cre"),
             email="trevor.l.davis@gmail.com",
             comment = c(ORCID = "0000-0001-6341-4639")),
        person("Paul", "Gilbert", role="aut"))
URL: https://github.com/trevorld/findpython
BugReports: https://github.com/trevorld/findpython/issues
Description: Package designed to find an acceptable python binary.
Suggests: reticulate, testthat
License: MIT + file LICENSE
Collate: 'find_python_cmd.r'
RoxygenNote: 7.2.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2023-03-14 18:37:27 UTC; trevorld
Author: Trevor L Davis [aut, cre] (<https://orcid.org/0000-0001-6341-4639>),
  Paul Gilbert [aut]
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
Repository: CRAN
Date/Publication: 2023-03-14 19:30:02 UTC
